#! /usr/bin/env python
# -*- coding: iso-8859-15 -*-

import sys, os
from distutils.core import setup


if __name__ == "__main__":
    # Check Python version
    if sys.version_info[:2] < (2, 4):
        print "pyAwale requires version 2.4 or later of python!"
        sys.exit(1)

    #
    # Setup.
    #
    setup(name='pyawale',
          version='0.4.0',
          description='A simple Awale game',
          author='Mikael NAVARRO',
          author_email='klnavarro@free.fr',
          contact='Mikael NAVARRO',
          contact_email='klnavarro@gmail.com',
          long_description='The count-and-capture official board game of Africa.',
          license='GNU General Public License',
          url='https://gna.org/projects/pyawale',
          download_url='http://download.gna.org/pyawale',
          platforms='Theorically all platforms.',
          package_dir={'pyawale': 'src'},
          packages=['pyawale'],
          scripts=['src/pyawale.py'],
          package_data={'pyawale': ['images/*.png', 'images/*.ttf']},
          data_files=[('share/doc/pyawale', ['AUTHORS', 'COPYING', 'LICENCE',
                                             'README', 'LISEZMOI', 'INSTALL',
                                             'NEWS', 'ChangeLog']),
                      ('share/doc/pyawale/docs', ['docs/pyawale.rest', 'docs/awale_module.rest', 'docs/awale_algos.rest',
                                                  'docs/pyawale.html',
                                                  'docs/pyawale_intro.jpg', 'docs/pyawale_gui.jpg', 'docs/pyawale_end.jpg']),
                      ('share/applications', ['docs/pyawale.desktop']),
                      ('share/pixmaps', ['docs/pyawale.png']),
                      ('share/doc/pyawale/tools', [os.path.join("tools", f) for f in os.listdir("tools") if not f.endswith('~') and not f.endswith('.log')])],
          classifiers=['Development Status :: 5 - Production/Stable',
                       'Intended Audience :: End Users/Desktop',
                       'Environment :: Other Environment',
                       'License :: OSI Approved :: GNU General Public License (GPL)',
                       'Operating System :: OS Independent',
                       'Programming Language :: Python',
                       'Topic :: Games/Entertainment :: Puzzle Game']
          )
